LibreOffice: TypeDescriptionProvider Service Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
TypeDescriptionProvider Service Referencepublished

This service provides type descriptions, i.e. More...

Inheritance diagram for TypeDescriptionProvider:

## Exported Interfaces
interface | com::sun::star::container::XHierarchicalNameAccess
| Interface to retrieve type descriptions.
interface | com::sun::star::lang::XComponent
| Interface to signal shutdown to the provider.
interface | XTypeDescriptionEnumerationAccess
| Interface for creating enumerations for type descriptions supported by this TypeDescriptionProvider.

## Additional Inherited Members
Public Member Functions inherited from XHierarchicalNameAccess
any | getByHierarchicalName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException )
boolean | hasByHierarchicalName ([in] string aName)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Protected Member Functions inherited from XTypeDescriptionEnumerationAccess
XTypeDescriptionEnumeration | createTypeDescriptionEnumeration ([in] string moduleName, [in] sequence< com::sun::star::uno::TypeClass > types, [in] TypeDescriptionSearchDepth depth) raises ( NoSuchTypeNameException, InvalidTypeNameException )
| Creates an enumeration for type descriptions.

## Detailed Description

This service provides type descriptions, i.e.

concrete service implementations read from source like the persistent registry database format.

This old-style service definition mostly serves documentation purposes. It is not intended that an implementation of this service can be obtained at the global service manager using this service identifier.

See also
  com::sun::star::reflection::TypeDescriptionManager
  com::sun::star::reflection::XTypeDescription

## Exported Interfaces

## ◆ com::sun::star::container::XHierarchicalNameAccess

interface com::sun::star::container::XHierarchicalNameAccess

Interface to retrieve type descriptions.

Names are given in dotted notation, for example `"com.sun.star.uno.XInterface"`.

The returned values are generally non-null references of type XTypeDescription. However, before LibreOffice 4.1, the value returned for a UNO constant was the value of the constant, rather than a reference to an XConstantTypeDescription object. (It also appears that some implementations return values for individual UNO enum members, e.g. `"com.sun.star.uno.TypeClass.VOID"`, though this is probably best treated as an implementation obscurity.)

## ◆ com::sun::star::lang::XComponent

interface com::sun::star::lang::XComponent

Interface to signal shutdown to the provider.

This has to be done manually, because usually each provider references its manager (which may implement type caching) for late resolution of partial types (e.g. parameter types).

## ◆ XTypeDescriptionEnumerationAccess

interface XTypeDescriptionEnumerationAccess
| optional

Interface for creating enumerations for type descriptions supported by this TypeDescriptionProvider.

Since
  OOo 1.1.2

The documentation for this service was generated from the following file:

- com/sun/star/reflection/TypeDescriptionProvider.idl